Subject: Re: Encryption of From Header

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 11 Feb 2000 11:50:04 -0500

I think it must not be encrypted. This is because (1) call leg
identification may need to be done in a proxy, (2) its possible with the
call control spec that there are two transactions that have the same To,
Call-ID, CSeq but different From, in which case the From is needed for
transaction identification. 

We should therefore remove this tidbit from 13.1.1.

Thanks,
Jonathan R.

[email-masked] wrote:
> 
> Hi,
> Please refer to section 13.1.1 of RFC 2543
> 
> "The From header field SHOULD
>    normally remain in the clear, but MAY be encrypted if required, in
>    which case some proxies MAY return a 401 (Unauthorized) status if
>    they require a From field."
> 
> The above indicates that its possible for FROM Header to be encrypted if so
>  desired.
> 
> Now, please refer to Section 6 Table 4 which clearly mentions From (and
> others) to have an "n" status in the enc colum implying
> they MUST NOT be encrypted.
> 
> So which is the correct statememt ?
> 
> Regds
> Arjun
> --
> Arjun Roychowdhury @ Hughes Software Systems

-- 
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120 
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 11 Feb 2000 14:01:49 -0500

> We should therefore remove this tidbit from 13.1.1.

The spec has been updated accordingly.